;----------------------------------------------------------
;VRAM FILL SCRIPT
;----------------------------------------------------------

;----------------------------------------------------------
;store data
;[+00]:length (01-7F)
;[+01]:data
vramf_length:
	ld	d,(hl)		;[+01]:value
	inc	hl
vramf_out_l:
	out	(c),d
	inc	bc
	dec	a
	jp	nz,vramf_out_l
	res	3,b			;VRAM rollback
;	jp	vram_fill
;----------------------------------------------------------
;VRAM FILL SCRIPT
;in
;	HL : fill data pointer
;out
;
vram_fill:
	ld	a,(hl)			;[+00]:00=end/01-7F=data/80-FF=address
	inc	hl
	or	a
	ret	z				;[+00]==0 end
	jp	p,vramf_length	;[+00] < 0x80 data
;[+00] >= 0x80 load address
	and	7fh			;mask bit7
	ld	b,a			;+00:Address H
	ld	c,(hl)		;+01:Address L
	inc	hl
	jp	vram_fill
